# $Revision: 1.37 $, $Date: 2007-11-07 14:38:22 $
%define 	modulename pam_ldap
Summary:	LDAP Pluggable Authentication Module
Summary(es.UTF-8):	Módulo de autenticación que puede conectarse (PAM) para LDAP
Summary(pl.UTF-8):	Moduł PAM do uwierzytelniania z użyciem LDAP
Summary(pt_BR.UTF-8):	Módulo de autenticação plugável (PAM) para o LDAP
Name:		pam-%{modulename}
Version:	184
Release:	1
Epoch:		1
License:	LGPL
Group:		Base
Source0:	http://www.padl.com/download/%{modulename}-%{version}.tar.gz
# Source0-md5:	1b381b5f1ce67fe0a885d9a7c69b93af
Patch0:		%{name}-install.patch
Patch1:		%{name}-chkuser.patch
Patch2:		%{name}-nolibs.patch
Patch3:		%{name}-no-access-after-free.patch
URL:		http://www.padl.com/OSS/pam_ldap.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.304
Obsoletes:	pam_ldap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}
%define		schemadir	/usr/share/openldap/schema

%description
This is pam_ldap, a pluggable authentication module that can be used
with linux-PAM. This module supports password changes, V2 clients,
Netscapes SSL, ypldapd, Netscape Directory Server password policies,
access authorization, crypted hashes, etc.

%description -l es.UTF-8
pam_ldap es un módulo de autenticación que puede conectarse y usarse
con Linux-PAM. Este módulo acepta cambio de contraseñas, clientes V2,
Netscape SSL, ypldapd, política de contraseñas de Netscape Directory
Server, autorización de acceso, etc.

%description -l pl.UTF-8
To jest pam_ldap, wymienny moduł uwierzytelniania, który może być
użyty z linux-PAM. Moduł ten wspiera zmienianie haseł, klientów V2,
SSL firmy Netscape, ypldapd, polisy haseł Netscape Directory Server,
autoryzację dostępu, zakodowane skróty, itd.

%description -l pt_BR.UTF-8
pam_ldap é um módulo de autenticação plugável que pode ser usado com o
Linux-PAM. Esse módulo aceita mudança de senhas, clientes V2, Netscape
SSL, ypldapd, política de senhas do Netscape Directory Server,
autorização de acesso, etc.

%package -n openldap-schema-pam_ldap
Summary:	pam_ldap LDAP schema
Summary(pl.UTF-8):	Schemat LDAP dla pam_ldap
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers

%description -n openldap-schema-pam_ldap
This package contains LDAP schema used by pam_ldap.

%description -n openldap-schema-pam_ldap -l pl.UTF-8
Ten pakiet zawiera schemat LDAP używany przez pam_ldap.

%prep
%setup -q -n %{modulename}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
# obsolete?
#patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{schemadir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALLUSER=`id -u` \
	INSTALLGROUP=`id -g`

install ldapns.schema $RPM_BUILD_ROOT%{schemadir}/pam_ldap-ns.schema
install ns-pwd-policy.schema $RPM_BUILD_ROOT%{schemadir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n openldap-schema-pam_ldap
%openldap_schema_register %{schemadir}/{pam_ldap-ns,ns-pwd-policy}.schema
%service -q ldap restart

%postun -n openldap-schema-pam_ldap
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/{pam_ldap-ns,ns-pwd-policy}.schema
	%service -q ldap restart
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README ldap.conf pam.d
%attr(755,root,root) %{_libdir}/security/pam_ldap.so
%{_mandir}/man5/*

%files -n openldap-schema-pam_ldap
%defattr(644,root,root,755)
%{schemadir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_ldap.spec,v $
Revision 1.37  2007-11-07 14:38:22  baggins
- up to 184
- disabled patch3, looks obsolete

Revision 1.36  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.35  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.33  2006/11/08 17:59:25  qboosh
- added CVE reference to previous changelog message

Revision 1.32  2006/11/08 17:49:38  darekr
- updated to 183, more docs
[fixes CVE-2006-5170]

Revision 1.31  2006/06/02 21:18:50  glen
- use %openldap_schema_{un,}register macros

Revision 1.30  2006/05/10 21:01:33  hawk
- updated to 182

Revision 1.29  2006/05/10 10:38:19  pluto
- th build fixed, release 5.

Revision 1.28  2006/02/18 13:30:00  qboosh
- fixed typo in openldap schema postun, release 4; STBR

Revision 1.27  2006/01/17 15:35:04  baggins
- release 3
- BR openldap 2.3

Revision 1.26  2005/11/20 21:12:54  qboosh
- pl for openldap-schema-

Revision 1.25  2005/11/20 20:47:05  wiget
- added openldap-schema-pam_ldap subpackage

Revision 1.24  2005/09/02 19:19:29  qboosh
- updated to 180 (fixes CAN-2005-2641; CAN-2005-2069 patch already in sources)
- updated install patch

Revision 1.23  2005/08/31 19:21:51  adamg
- security todo

Revision 1.22  2005/08/10 10:48:17  hawk
- removed obsolete security note

Revision 1.21  2005/08/10 10:45:08  hawk
- added fix for CAN-2005-2069
- release 2

Revision 1.20  2005/07/14 11:25:14  glen
- security note

Revision 1.19  2005/04/04 21:16:36  hawk
- updated to 178
- added man page to package

Revision 1.18  2004/10/06 14:15:18  hawk
- updated to 176

Revision 1.17  2004/09/28 09:37:31  krzak
- up to version 175
- BR: pam-devel

Revision 1.16  2004/09/18 20:04:46  hawk
- updated to 174, STBR

Revision 1.15  2004/09/08 10:33:16  undefine
- update to 173

Revision 1.14  2004/08/10 18:47:23  undefine
- update to 171

Revision 1.13  2004/08/09 22:29:11  undefine
- update to 170

Revision 1.12  2004/07/29 21:26:02  qboosh
- fixed pam module path, release 4

Revision 1.11  2004/04/13 14:35:55  adamg
- release up to rebuild with new openldap

Revision 1.10  2004/03/16 13:49:09  averne
- rel2 for rebuild with new openldap

Revision 1.9  2004/03/03 19:26:21  pius
- updated to 169

Revision 1.8  2004/01/02 14:53:41  eothane
- autoupdated to 167

Revision 1.7  2003/12/01 19:34:01  pius
- fixed Obsoletes field

Revision 1.6  2003/12/01 19:20:50  pius
- updated to 166

Revision 1.5  2003/11/28 09:42:57  qboosh
- Obsoletes for old name without macro, cosmetics

Revision 1.4  2003/11/25 15:37:06  siefca
- adapted def modulename style

Revision 1.3  2003/11/25 14:41:20  siefca
- Epoch added

Revision 1.2  2003/11/25 14:27:22  siefca
- fixed naming in setup section

Revision 1.1  2003/11/25 14:18:01  siefca
- leaded common naming conventions for PAM module packages

Revision 1.63  2003/10/06 00:25:47  pius
- cosmetics

Revision 1.62  2003/10/05 11:03:50  pius
- updated to 165

Revision 1.61  2003/08/14 14:29:29  baggins
- release 2
- fixed a bug when freed data could be accessed leading to SIGSEGV

Revision 1.60  2003/06/05 10:03:25  misi3k
- updated to 164

Revision 1.59  2003/05/28 13:00:11  malekith
- massive attack: source-md5

Revision 1.58  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.57  2003/05/17 23:49:02  qboosh
- updated to 161
- replaced no_libnsl by nolibs patch (remove libresolv too)

Revision 1.56  2003/01/16 21:34:44  kloczek
- updated to 157: bug fixes,
- added no_libnsl patch (posted to maintainer),
- upated URL and new Source url (http based),
- removed pam.conf from doc (this config file is for old PAM implemetation).

Revision 1.55  2002/11/09 10:16:03  kloczek
- updated to 156: bug fixes.

Revision 1.54  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.53  2002/08/24 18:29:10  kloczek
- updated to 151: bugfixes,
- removed outdated amfix patch.

Revision 1.52  2002/08/06 10:14:06  kloczek
- updated to 150: bugfixes.

Revision 1.51  2002/05/21 23:14:19  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.50  2002/05/10 11:24:26  qboosh
- SECURITY update to 148; updated patches, added fix for am

Revision 1.49  2002/04/10 20:28:20  kloczek
- merge translations from Conectiva.

Revision 1.48  2002/04/10 20:26:07  kloczek
- updated to 1.40 (bugfixes),
- added -c -f to automake parameters and "rm -f missing" on top %build.

Revision 1.47  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/01/18 02:14:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.44  2001/11/02 11:17:06  jajcus
- Version: 133

Revision 1.43  2001/09/14 06:08:17  kloczek
- updated to 126.

Revision 1.42  2001/09/06 19:56:01  kloczek
- updated to 125.

Revision 1.41  2001/07/23 05:46:01  kloczek
- updated to 121.

Revision 1.40  2001/07/04 04:37:35  kloczek
- updated to 119.

Revision 1.39  2001/06/01 19:47:59  kloczek
- updated to 112.

Revision 1.38  2001/05/18 02:09:27  siefca
- version 108

Revision 1.37  2001/04/22 00:18:26  kloczek
- cosmetics.

Revision 1.36  2001/04/21 15:22:56  siefca
- cosmetics

Revision 1.35  2001/04/21 15:21:04  siefca
- added notes to ldap.conf

Revision 1.34  2001/04/21 05:02:22  siefca
- added support for simple and fast auth method using user's DN and password
- additional options in /etc/ldap.conf [example]:
   userconnect_check yes                    (to enable support)
   userdn cn=A_USER,ou=unit,o=org           (A_USER macro expanded to username)
- special thx to Michal Strzelczyk - for code, pepsi and fajki R1 :)

Revision 1.33  2001/04/20 20:29:46  kloczek
- updated to 107,
- added regenerate all ac files (added "aclocal; autoconf" in %build).

Revision 1.32  2001/01/09 10:49:02  wiget
94

Revision 1.31  2001/01/08 13:58:43  wiget
93

Revision 1.30  2001/01/05 04:43:29  kloczek
- updated to 86.

Revision 1.29  2001/01/03 16:29:53  wiget
84

Revision 1.28  2000/12/31 01:06:31  kloczek
- updated to 83.

Revision 1.27  2000/12/06 02:38:52  agaran
Just passed trough adapter

Revision 1.26  2000/11/13 18:38:11  wiget
82

Revision 1.25  2000/10/16 11:41:08  wiget
77

Revision 1.24  2000/10/02 16:52:19  wiget
74

Revision 1.23  2000/09/18 07:52:43  kloczek
- updated to 72.

Revision 1.22  2000/09/12 14:00:24  jajcus
- Release: 2 (for rebuild with OpenLDAP 2.x.x)

Revision 1.21  2000/08/20 15:55:27  kloczek
- updated to 70.

Revision 1.20  2000/08/07 19:20:40  wiget
67

Revision 1.19  2000/07/11 19:38:30  wiget
- 66
- enable NDS support

Revision 1.18  2000/07/05 10:33:43  wiget
65

Revision 1.17  2000/06/30 09:35:15  wiget
64

Revision 1.16  2000/06/26 16:27:02  wiget
63

Revision 1.15  2000/06/20 16:42:09  wiget
61

Revision 1.14  2000/06/12 12:59:20  wiget
60

Revision 1.13  2000/06/09 13:15:53  wiget
59

Revision 1.12  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/06/02 15:06:10  wiget
- version 56
- new fixes for installation procedure

Revision 1.10  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.9  2000/04/01 11:15:16  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.7  2000/02/16 23:48:29  kloczek
- updated to 46.

Revision 1.6  1999/12/01 07:19:44  kloczek
- updated to 42.

Revision 1.5  1999/09/17 12:33:47  kloczek
- added pl Summary and Group,
- cosmetisc in header.

Revision 1.4  1999/09/11 15:00:21  jajcus
- BuildRequires: openldap-devel

Revision 1.3  1999/09/10 12:25:03  jajcus
ldap.conf is now in openldap package

Revision 1.2  1999/09/10 10:48:44  jajcus
[ 40-1 ]
- rewrite for use with PLD
- Make.rules updates for PLD
- config files updates for PLD

* Tue Aug 10 1999 Cristian Gafton <gafton@redhat.com>
- adapted the original spec file for RH 6.1
- ship the same config file as the nss_ldap
